On a Rainy Day rainy day it rains all day long. A rainy day is dull and gloomy. The sky is overcast with thick clouds. This is not seen. The weather is foul. None can go out without an umbrella. Water stands on roads and they become muddy and slippery. Those who have offices and other businesses go out with umbrellas overhead. in hand and clothes folded up to the knees. Sometimes they slip and fall on the mud. A rainy day is a curse for a poor man. He can’t go out for his daily works. He has to sit under his leaky roof. Most of the students can not go to school. Only a few can go to school but they get wet. The cattle keep standing in their sheds and bellow for fodder. A rainy day is amusing for the rich. They make the best use of the situation. A rainy day is most welcome to the idle students as they easily enjoy a holiday.On a Rainy Day rainy day it rains all day long. A rainy day is dull and gloomy. The sky is overcast with thick clouds. This is not seen. The weather is foul. None can go out without an umbrella. Water stands on roads and they become muddy and slippery. Those who have offices and other businesses go out with umbrellas overhead. in hand and clothes folded up to the knees. Sometimes they slip and fall on the mud. A rainy day is a curse for a poor man. He can’t go out for his daily works. He has to sit under his leaky roof. Most of the students can not go to school. Only a few can go to school but they get wet. The cattle keep standing in their sheds and bellow for fodder. A rainy day is amusing for the rich. They make the best use of the situation. A rainy day is most welcome to the idle students as they easily enjoy a holiday.On a Rainy Day rainy day it rains all day long. A rainy day is dull and gloomy. The sky is overcast with thick clouds. This is not seen. The weather is foul. None can go out without an umbrella. Water stands on roads and they become muddy and slippery. Those who have offices and other businesses go out with umbrellas overhead. in hand and clothes folded up to the knees. Sometimes they slip and fall on the mud. A rainy day is a curse for a poor man. He can’t go out for his daily works. He has to sit under his leaky roof. Most of the students can not go to school. Only a few can go to school but they get wet. The cattle keep standing in their sheds and bellow for fodder. A rainy day is amusing for the rich. They make the best use of the situation. A rainy day is most welcome to the idle students as they easily enjoy a holiday.On a Rainy Day rainy day it rains all day long. A rainy day is dull and gloomy. The sky is overcast with thick clouds. This is not seen. The weather is foul. None can go out without an umbrella. Water stands on roads and they become muddy and slippery. Those who have offices and other businesses go out with umbrellas overhead. in hand and clothes folded up to the knees. Sometimes they slip and fall on the mud. A rainy day is a curse for a poor man. He can’t go out for his daily works. He has to sit under his leaky roof. Most of the students can not go to school. Only a few can go to school but they get wet. The cattle keep standing in their sheds and bellow for fodder. A rainy day is amusing for the rich. They make the best use of the situation. A rainy day is most welcome to the idle students as they easily enjoy a holiday.